
package cn.orionsec.ops.service.api;

import cn.orionsec.kit.lang.define.wrapper.DataGrid;
import cn.orionsec.ops.entity.request.alarm.AlarmGroupRequest;
import cn.orionsec.ops.entity.vo.alarm.AlarmGroupVO;

public interface AlarmGroupService {

    /**
     * 添加报警组
     *
     * @param request request
     * @return id
     */
    Long addAlarmGroup(AlarmGroupRequest request);

    /**
     * 更新报警组
     *
     * @param request request
     * @return effect
     */
    Integer updateAlarmGroup(AlarmGroupRequest request);

    /**
     * 删除报警组
     *
     * @param id id
     * @return effect
     */
    Integer deleteAlarmGroup(Long id);

    /**
     * 查询列表
     *
     * @param request request
     * @return rows
     */
    DataGrid<AlarmGroupVO> getAlarmGroupList(AlarmGroupRequest request);

    /**
     * 查询详情
     *
     * @param id id
     * @return row
     */
    AlarmGroupVO getAlarmGroupDetail(Long id);

}
